Hi,
I cannot create a positional link to a DrawingComponent (2D ditto, lets say a cross), by picking that ditto, to a text, in macro.
I've tried something like this:
Dim oSelection
oSelection = DrawDoc1.Selection
Dim oInputType(0)
Dim oStatus
oInputType(0) = "DrawingComponent"
oStatus = oSelection.SelectElement2(oInputType, "Select a 2D Component", True)
If (oStatus = "Cancel") Then
Exit Sub
End If
Dim Myselection As Selection
Myselection = CATIA.ActiveDocument.Selection
DrawText1.AssociativeElement = Myselection
Does anyone found a solution for this?
Regards
Fernando
I cannot create a positional link to a DrawingComponent (2D ditto, lets say a cross), by picking that ditto, to a text, in macro.
I've tried something like this:
Dim oSelection
oSelection = DrawDoc1.Selection
Dim oInputType(0)
Dim oStatus
oInputType(0) = "DrawingComponent"
oStatus = oSelection.SelectElement2(oInputType, "Select a 2D Component", True)
If (oStatus = "Cancel") Then
Exit Sub
End If
Dim Myselection As Selection
Myselection = CATIA.ActiveDocument.Selection
DrawText1.AssociativeElement = Myselection
Does anyone found a solution for this?
Regards
Fernando